const GenerateReport = require('../lib/generate-report');

console.log('path with the json reports and the feature files: ' + process.argv[2]);
console.log('project name: ' + process.argv[4]);
var path = process.argv[2];
var projectName = process.argv[4];

let options = {
    saveCollectedJSON: true,
    jsonDir: path,
    reportName: 'You can adjust this report name',
    featuresFolder: path,
    showExecutionTime: true,
    expandStepsNotPassed: true,
    navigateToFeatureIfThereIsOnlyOne: true,
    openReportInBrowser: true,
    projectName: projectName,
    isLinkToServer: false

};

setTimeout(function () {
    return process.exit(0);
}, 5000);

GenerateReport(options);
